Bug 27790 - Possibility to filter Holds to pull list using pickup place
Summary: Possibility to filter Holds to pull list using pickup place
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Peter Vashchuk
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-25 10:25 UTC by Peter Vashchuk
Modified: 2021-04-30 09:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Add option to filter by pickup location in Holds to Pull
Version(s) released in:
21.05.00


Attachments
Bug 27790: separate earliest hold date into two different columns (2.77 KB, patch)
2021-02-25 10:29 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 27790: separate earliest hold date into two different columns (2.83 KB, patch)
2021-02-25 14:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27790: separate earliest hold date into two different columns (2.70 KB, patch)
2021-04-23 17:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27790: (QA follow-up) Fix offsets due to new columns (1.41 KB, patch)
2021-04-23 17:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27790: Add the new column to columns_settings.yml (734 bytes, patch)
2021-04-27 13:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Vashchuk 2021-02-25 10:25:42 UTC
Finnish libraries that we're supporting are actively using holds-to-pull feature, according to their reports, having  ability to filter the table by "Pickup place" will help them be more efficient, as they often process those holds in batches by pickup places. They already tested that in the modified older version of Koha, and with plugin as well, which proved that they definitely need this feature and it helps libraries a lot.

External reference for this request from Finnish libraries: 
https://tiketti.koha-suomi.fi/issues/4537
Comment 1 Peter Vashchuk 2021-02-25 10:29:44 UTC
Created attachment 117305 [details] [review]
Bug 27790: separate earliest hold date into two different columns

Currently "Earliest hold date" and "Pickup place" are displayed
in one single column, but to make filtering possible it is necessary
to split those fields into separate ones.
This patch does exactly that and adds sorting list drop down feature to
the "Pickup place" column.

To reproduce:
    1) Make a few holds and head over to "Circulations->Holds to pull".
    2) Ensure that pickup place and earliest hold date are
in the same column "Earliest hold date"
    3) Apply the patch.
    4) Check "Circulations->Holds to pull list" again, this time
booking date and pickup place should have their own columns.
Ensure that filtering by "pickup location" works fine.
Comment 2 Owen Leonard 2021-02-25 14:52:45 UTC
Created attachment 117332 [details] [review]
Bug 27790: separate earliest hold date into two different columns

Currently "Earliest hold date" and "Pickup place" are displayed
in one single column, but to make filtering possible it is necessary
to split those fields into separate ones.
This patch does exactly that and adds sorting list drop down feature to
the "Pickup place" column.

To reproduce:
    1) Make a few holds and head over to "Circulations->Holds to pull".
    2) Ensure that pickup place and earliest hold date are
in the same column "Earliest hold date"
    3) Apply the patch.
    4) Check "Circulations->Holds to pull list" again, this time
booking date and pickup place should have their own columns.
Ensure that filtering by "pickup location" works fine.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Kyle M Hall 2021-04-23 17:11:46 UTC
Created attachment 120123 [details] [review]
Bug 27790: separate earliest hold date into two different columns

Currently "Earliest hold date" and "Pickup place" are displayed
in one single column, but to make filtering possible it is necessary
to split those fields into separate ones.
This patch does exactly that and adds sorting list drop down feature to
the "Pickup place" column.

To reproduce:
    1) Make a few holds and head over to "Circulations->Holds to pull".
    2) Ensure that pickup place and earliest hold date are
in the same column "Earliest hold date"
    3) Apply the patch.
    4) Check "Circulations->Holds to pull list" again, this time
booking date and pickup place should have their own columns.
Ensure that filtering by "pickup location" works fine.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Kyle M Hall 2021-04-23 17:12:00 UTC
Created attachment 120124 [details] [review]
Bug 27790: (QA follow-up) Fix offsets due to new columns
Comment 5 Jonathan Druart 2021-04-27 13:38:54 UTC
Created attachment 120229 [details] [review]
Bug 27790: Add the new column to columns_settings.yml
Comment 6 Jonathan Druart 2021-04-27 14:25:50 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-04-30 09:02:01 UTC
Enhancement not pushed to 20.11.x